class KScriptClientInterface

# class KScriptClientInterface | This class is used for allowing feedback to the main system. More...
Contains pure virtuals
Definition | `#include <scriptclientinterface.h>`
Inherited by | KScriptManager
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Result { ResultSuccess, ResultFailure, ResultContinue, ResultBreak }

#### Public Methods

- virtual void error ( const QString &msg )
- virtual void warning ( const QString &msg )
- virtual void output ( const QString &msg )
- virtual void progress ( int percent )
- virtual void done ( KScriptClientInterface::Result result, const QVariant &returned )

## Detailed Description

This class is used for allowing feedback to the main system.

enum Result { ResultSuccess, ResultFailure, ResultContinue, ResultBreak } | ### Result

void error ( const QString &msg ) | ### error

[pure virtual]

This function will allow the main application of any errors that have occured during processing of the script.

void warning ( const QString &msg ) | ### warning

[pure virtual]

This function will allow the main application of any warnings that have occured during the processing of the script.

void output ( const QString &msg ) | ### output

[pure virtual]

This function will allow the main application of any normal output that has occured during the processing of the script.

void progress ( int percent ) | ### progress

[pure virtual]

This function will allow feedback to any progress bars in the main application as to how far along the script is. This is very useful when a script is processing files or doing some long operation that is of a known duration.

void done ( KScriptClientInterface::Result result, const QVariant &returned ) | ### done

[pure virtual]

This function will allow feedback on completion of the script. It turns the result as a KScriptInteface::Result, and a return value as a QVariant

- Author: Ian Reinhart Geiser
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:11 2003, using kdoc 2.0a54.